body {
  font-family: "Poppins", sans-serif;
  margin: 0;
}

/* Header */
.site-header {
  background: #ffffff;
  border-bottom: 2px solid #d32f2f;
  position: relative;
  z-index: 100;
}

/* Layout */
.container {
  max-width: 1200px;
  margin: auto;
  padding: 0 20px;
}

/* Navbar */
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 74px;
}

/* Logo */
.navbar-logo img {
  display: block;
  height: 75px;
}

/* Menu */
.nav-menu {
  list-style: none;
  display: flex;
  gap: 34px;
}

.nav-item {
  position: relative;
}

.nav-link {
  text-decoration: none;
  color: #333;
  font-weight: 500;
}

/* Hover */
.nav-link:hover {
  color: #d32f2f;
}

/* Active */
.nav-link.active {
  color: #d32f2f;
  font-weight: 600;
  border-bottom: 3px solid #d32f2f;
  padding-bottom: 22px;
}

/* Dropdown */
.submenu {
  position: absolute;
  top: 100%;
  right: 0;
  min-width: 200px;
  background: #fff;
  list-style: none;
  border-top: 3px solid #d32f2f;
  opacity: 0;
  visibility: hidden;
  transition: .25s;
  padding-left: 0px;
  border-radius: 5px;
  z-index: 100;
}

.dropdown:hover .submenu {
  opacity: 1;
  visibility: visible;
}

.submenu a {
  display: block;
  padding: 12px 18px;
  color: #444;
  text-decoration: none;
}

.submenu a:hover {
  background: #fdf1f1;
}

/* Hamburger */
.hamburger {
  display: none;
  background: none;
  border: none;
  cursor: pointer;
}

.hamburger span {
  display: block;
  width: 26px;
  height: 3px;
  background: #d32f2f;
  margin: 5px 0;
  transition: all 0.3s ease;
}

/* Mobile Menu */
@media (max-width: 880px) {
  .hamburger {
    display: block;
  }

  .nav-menu {
    position: absolute;
    top: 76px;
    right: 0;
    width: 100%;
    background: #ffffff;
    flex-direction: column;
    gap: 0;
    /* border-top: 2px solid #d32f2f; */
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease;
  }

  .nav-menu.open {
    max-height: 500px;
    margin: 0px;
    padding-left: 0px;
    overflow: visible;
  }

  .nav-item {
    border-bottom: 1px solid #eee;
  }

  .nav-link {
    padding: 16px 20px;
    display: block;
  }

  .submenu {
    position: static;
    opacity: 1;
    visibility: visible;
    transform: none;
    border: none;
    box-shadow: none;
    display: none;
  }

  .dropdown.open .submenu {
    display: block;
    /* background-color: #d32f2f; */
  }

  .nav-item.dropdown:last-child > .submenu {
    left: 0 !important;
  }
  .submenu .dropdown>.submenu {
    position: static;
    margin-left: 25px;
  }

.nav-item {
  position: relative;
  padding: 0;
}

.nav-link {
  display: block;
  padding: 16px 20px;
}

.caret {
  float: right;
  font-size: 12px;
  opacity: 0.6;
}

.dropdown > a {
  width: fit-content;
}
}

/* Hamburger Animation */
.hamburger.active span:nth-child(1) {
  transform: rotate(45deg) translate(5px, 6px);
}

.hamburger.active span:nth-child(2) {
  opacity: 0;
}

.hamburger.active span:nth-child(3) {
  transform: rotate(-45deg) translate(6px, -6px);
}

#navbar {
  position: sticky;
  top: 0;
  z-index: 9999;
}

.dropdown>.submenu {
  display: none;
  position: absolute;
  left: 100%;
  top: 0;
}

.dropdown:hover>.submenu {
  display: block;
}

/* MAIN DROPDOWN */
.nav-item.dropdown {
  position: relative;
}

.nav-item.dropdown > .submenu {
  position: absolute;
  top: 100%;
  left: 0;
  min-width: 220px;
  background: #fff;
  display: none;
  z-index: 99999;
  box-shadow: 0 10px 25px rgba(0,0,0,0.15);
}

.nav-item.dropdown:last-child > .submenu {
  left: auto;
  right: 0;
}

/* SHOW ON HOVER (DESKTOP) */
.nav-item.dropdown:hover > .submenu {
  display: block;
}

/* SUB-SUBMENU */
.submenu .dropdown {
  position: relative;
}

.submenu .dropdown>.submenu {
  top: 0;
  right: 100%;
  overflow-y: auto;
  max-height: 300px;
  -ms-overflow-style: none;
  scrollbar-width: thin;
  scrollbar-color: #ee6c0a #f1f1f1;
  /* scrollbar-width: none; */
}

.hero-slider,
.slide {
  position: relative;
}

/* Width / height */
.custom-scrollbar::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

/* Track */
.custom-scrollbar::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 10px;
}

/* Thumb */
.custom-scrollbar::-webkit-scrollbar-thumb {
  background: linear-gradient(135deg, #ee6c0a, #f59e0b, #7c2d12);
  border-radius: 10px;
}

/* Hover effect */
.custom-scrollbar::-webkit-scrollbar-thumb:hover {
  background: linear-gradient(135deg, #f97316, #fb923c, #9a3412);
}

@media (max-width: 880px) {
  .nav-item.dropdown > .submenu{
    overflow: auto;
    max-height: 300px;
  }
}